$regfile = "m8def.dat"
$crystal = 16000000
$sim

'  
Config Lcd = 16 * 2
Config Lcdpin = Pin , Rs = Portc.0 , E = Portc.1 , Db4 = Portc.2 , Db5 = Portc.3 , Db6 = Portc.4 , Db7 = Portc.5

Config Portb.0 = Output
Led Alias Portb.0
Led = 0


Dim Hour As Word
Dim Minut As Byte
Dim Second As Byte
Dim Resurs As Byte

Resurs = 5                                                  '<<<<<<<<       


Dim Hourstr As String * 4
Dim Minutstr As String * 2

Dim Restart As Bit                                          '      (/)
Restart = 0                                                 '0-, 1-

Dim Hour_eeprom As Eram Word
Dim Minut_eeprom As Eram Byte

Hour = Hour_eeprom                                          '  eeprom 
Minut = Minut_eeprom

If Hour = 65535 Then
 Hour = 0
End If

If Minut = 255 Then
 Minut = 0
End If

Config Timer1 = Timer , Prescale = 256                      ' 16    1 

On Timer1 Incr_second:                                      '    

Config Int0 = Falling                                       '  
Config Int1 = Falling

On Int0 Zapusk:
On Int1 Sbros:


' 

Stop Timer1

'     
'>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
If Hour >= Resurs Then

Led = 1                                                     ' 

Rem M!
Lcd "Maco!"                                                ' 
Wait 5
Led = 0
End If


Enable Interrupts
Enable Timer1
Enable Int0
Enable Int1

'  
'>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
Do

Hourstr = Str(hour)
Minutstr = Str(minut)
Hourstr = Format(hourstr , "0000")
Minutstr = Format(minutstr , "00")

Cls
Rem 
Lcd "poo:"
Locate 2 , 1
Lcd Hourstr
Locate 2 , 5
Lcd ":"
Locate 2 , 6
Lcd Minutstr

'If Hour >= Resurs Then                                      '  
' Led = 1                                                    ' 
' Locate 2 , 8
' Lcd "!"
'End If


Wait 10

Loop



'  1,       16
'>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
Incr_second:

Led = 1                                                     ' 
Incr Second                                                 ' 
 Print Second
  If Second >= 60 Then                                      '  / 60
   Incr Minut                                               ' 
   Second = 0                                               ' 
  End If

  If Minut >= 60 Then                                       '   
   Incr Hour                                                '   
   Minut = 0                                                '   
  End If

Waitms 3                                                    ' 
Led = 0                                                     '  
Return                                                      ' 



'  INT0,  
'>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
Zapusk:

If Restart = 0 Then                                         '  ,     
 Cls                                                        ' 
 Lcd "START"                                                '   
 Start Timer1                                               ' 
 Restart = 1                                                '      
 Wait 1
Else                                                        ',   =1   ,    
 Cls                                                        ' 
 Lcd "STOP"                                                 '   
 Stop Timer1                                                ' 
 Restart = 0

 Hour_eeprom = Hour                                         '   EEPROM
 Minut_eeprom = Minut                                       '   EEPROM

 Wait 1
End If
Gifr = 64                                                   '   INT0
Return


' ,   INT1
'>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
Sbros:

Cls

Lcd "RST  ALL"

    Hour = 0                                                ' 
    Minut = 0                                               ' 
    Second = 0                                              ' 

    Hour_eeprom = 0
    Minut_eeprom = 0

Wait 2

Stop Timer1
Restart = 0
Led = 0

Cls

Rem .
Lcd "Ocao."
Wait 1

Gifr = 128
Return